Query Item Variation Values
curl --request GET \
--url https://api.jtl-cloud.com/erp/items/{itemId}/variations/{variationId}/values \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/items/{itemId}/variations/{variationId}/values"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/items/{itemId}/variations/{variationId}/values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"Id": 123,
"Name": "<string>",
"Translations": [
{
"LanguageIso": "<string>",
"Name": "<string>"
}
]
}
]{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}item
Query Item Variation Values
deprecated
Query all values for a specific item variation
GET
/
items
/
{itemId}
/
variations
/
{variationId}
/
values
Query Item Variation Values
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
The id of the item that the variations belong to.
The unique id of the variation.
Response
The requested values for the item variation.
Was this page helpful?
⌘I